import * as i0 from '@angular/core';
import { Directive, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

class FocusOnLoadDirective {
    constructor(viewContainer) {
        this.viewContainer = viewContainer;
        this._autofocus = true;
        const container = this.viewContainer['_lContainer'][0];
        if (container instanceof HTMLElement) {
            this.inputBox = container;
        }
        else {
            this.inputBox = container[8];
        }
    }
    set autofocus(value) {
        if (value === '') {
            // <bs-select2 ... autofocus></bs-select2>
            value = true;
        }
        this._autofocus = value;
    }
    ngAfterViewInit() {
        setTimeout(() => {
            if (this._autofocus) {
                this.inputBox.focus();
            }
        }, 10);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.3", ngImport: i0, type: FocusOnLoadDirective, deps: [{ token: i0.ViewContainerRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "17.0.3", type: FocusOnLoadDirective, selector: "*[autofocus]", inputs: { autofocus: "autofocus" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.3", ngImport: i0, type: FocusOnLoadDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '*[autofocus]'
                }]
        }], ctorParameters: () => [{ type: i0.ViewContainerRef }], propDecorators: { autofocus: [{
                type: Input
            }] } });

class FocusOnLoadModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "17.0.3", ngImport: i0, type: FocusOnLoadModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "17.0.3", ngImport: i0, type: FocusOnLoadModule, declarations: [FocusOnLoadDirective], imports: [CommonModule], exports: [FocusOnLoadDirective] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "17.0.3", ngImport: i0, type: FocusOnLoadModule, imports: [CommonModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "17.0.3", ngImport: i0, type: FocusOnLoadModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [
                        FocusOnLoadDirective
                    ],
                    exports: [
                        FocusOnLoadDirective
                    ],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { FocusOnLoadDirective, FocusOnLoadModule };
//# sourceMappingURL=mintplayer-ng-focus-on-load.mjs.map
